
CREATE TABLE MAPPING_SET ( 
	MAP_SET_ID NUMBER(18) NOT NULL,
	ID VARCHAR2(1024) NOT NULL,
	DESCRIPTION VARCHAR2(1024),
	DS_ID NUMBER(18),
	DF_ID NUMBER(18),
	VALID_FROM TIMESTAMP,
	VALID_TO TIMESTAMP,
	USER_ID NUMBER(18),
	IS_METADATA NUMBER(1) DEFAULT 0 NOT NULL
)
;

ALTER TABLE MAPPING_SET ADD CONSTRAINT PK_MappingSet 
	PRIMARY KEY (MAP_SET_ID)
;
ALTER TABLE MAPPING_SET
	ADD CONSTRAINT UQ_MAPPING_SET_CODE UNIQUE (ID)
;
